Bug 1877399 - Review Request: power-profiles-daemon - Makes power profiles handling available over D-Bus
Summary: Review Request: power-profiles-daemon - Makes power profiles handling availab...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-09 14:37 UTC by Bastien Nocera
Modified: 2020-09-10 17:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-10 17:41:25 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Bastien Nocera 2020-09-09 14:37:42 UTC
Spec URL: https://hadess.fedorapeople.org/power-profiles-daemon/power-profiles-daemon.spec
SRPM URL: https://hadess.fedorapeople.org/power-profiles-daemon/power-profiles-daemon-0.1-1.fc32.src.rpm
Description: Makes power profiles handling available over D-Bus
Fedora Account System Username: hadess

Comment 1 Bastien Nocera 2020-09-10 15:28:53 UTC
Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=51066739

Comment 2 Robert-André Mauchin 🐧 2020-09-10 16:45:10 UTC
 - You must either link to a URL, or describe how you generated the archive in a comment (or provides a script that generate the archive):

Source0:        %{name}-%{version}.tar.xz

→

Source0:        https://gitlab.freedesktop.org/hadess/%{name}/-/archive/%{version}/%{name}-%{version}.tar.bz2

 - %{?systemd_requires} → BuildRequires:  systemd-rpm-macros

 - Fix the changelog entry :

power-profiles-daemon.x86_64: W: incoherent-version-in-changelog 0.0-1 ['0.1-1.fc34', '0.1-1']

* Fri Aug 07 2020 Bastien Nocera <bnocera@redhat.com> - 0.1-1

 - Shouldn't this file be marked as %config(noreplace)? Could it be edited by the end user?

power-profiles-daemon.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/net.hadess.PowerProfiles.conf


Package approved, please fix the aforementioned issue before import.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* GNU General Public
     License, Version 3", "GNU General Public License, Version 3", "GNU
     General Public License v2.0 or later". 21 files have unknown license.
     Detailed output of licensecheck in /home/bob/packaging/review/power-
     profiles-daemon/review-power-profiles-daemon/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: systemd_post is invoked in %post, systemd_preun in %preun, and
     systemd_postun in %postun for Systemd service files.
     Note: Systemd service file(s) in power-profiles-daemon
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in power-
     profiles-daemon-docs
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: power-profiles-daemon-0.1-1.fc34.x86_64.rpm
          power-profiles-daemon-docs-0.1-1.fc34.noarch.rpm
          power-profiles-daemon-debuginfo-0.1-1.fc34.x86_64.rpm
          power-profiles-daemon-debugsource-0.1-1.fc34.x86_64.rpm
          power-profiles-daemon-0.1-1.fc34.src.rpm
power-profiles-daemon.x86_64: W: incoherent-version-in-changelog 0.0-1 ['0.1-1.fc34', '0.1-1']
power-profiles-daemon.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/net.hadess.PowerProfiles.conf
5 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 3 Bastien Nocera 2020-09-10 17:22:49 UTC
(In reply to Robert-André Mauchin 🐧 from comment #2)
>  - You must either link to a URL, or describe how you generated the archive
> in a comment (or provides a script that generate the archive):
> 
> Source0:        %{name}-%{version}.tar.xz

Fixed.

>  - %{?systemd_requires} → BuildRequires:  systemd-rpm-macros

Fixed.

>  - Fix the changelog entry :
> 
> power-profiles-daemon.x86_64: W: incoherent-version-in-changelog 0.0-1
> ['0.1-1.fc34', '0.1-1']
> 
> * Fri Aug 07 2020 Bastien Nocera <bnocera@redhat.com> - 0.1-1

Fixed that too.

>  - Shouldn't this file be marked as %config(noreplace)? Could it be edited
> by the end user?
> 
> power-profiles-daemon.x86_64: W: non-conffile-in-etc
> /etc/dbus-1/system.d/net.hadess.PowerProfiles.conf

No, those aren't user-editable but are still in /etc...

> Package approved, please fix the aforementioned issue before import.

Thanks!

Comment 4 Gwyn Ciesla 2020-09-10 17:30:36 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/power-profiles-daemon

Comment 5 Bastien Nocera 2020-09-10 17:41:25 UTC
Built in power-profiles-daemon-0.1-1.fc34


Note You need to log in before you can comment on or make changes to this bug.